Перенос разработки Blazor приложения на Astralinux

Terentjev

New member
Сообщения
8
#1
Уважаемые Гуру!
Есть Blazor server приложение (.Net 6.0), работающее под IIS 7 . Разработка и публикация в среде Windows.
2 задачи:
  1. Запустить его на astralinux 1.7.3 (под nginx или apache)
  2. Продолжить разработку на vscode
В связи с этим вопросы:
  1. Надо установить aspnetcore-runtime-6.0.22-linux-x64.tar.gz . Если я правильно понимаю, то рекомендуется устанавливать пакеты из репозитария astralinux.Есть ли там такой пакет? Если нет, то чем чревата установка дистрибутива с официального сайта microsoft?
  2. Есть ли у кого то опыт разработки такого рода приложения (Blazor server) под vscode astralinux?
Спасибо!
 

Terentjev

New member
Сообщения
8
#3
Всё установлено. Но в статье по ссылке не идёт речь об asp.net core
 

Terentjev

New member
Сообщения
8
#5
Да, я не прав. Я не могу подключить репозитарий microsoft и автоматом смотрел только вариант без его подключения. Я попробую установить
эту библиотеку. Правда после обновления astralinux до 1.7.3 система перестала загружаться . У меня была двойная загрузка с возможностью выбора - astralinux и windows 10. т.к. ставил не я, то придется разбираться что произошло и как восстановить. Сначала (после обновления) пропала возможность выбора - сразу загружалась astralinux. При повторной перезагрузке стала загружаться только windows 10...
Продолжу после восстановления
 

MickM

New member
Сообщения
211
#6
придется разбираться что произошло и как восстановить.
Возможно, всё обойдётся просто пересозданием загрузочной записи grub и его конфигурации.

А, так, да, надо разбираться, для начала - в каком режиме настраивались загрузчики: "EFI", etc.
 

Terentjev

New member
Сообщения
8
#7
Восстановил вход. Вопрос по aspnetcore- runtime такой.
Как рекомендовано в варианте без использования репозитария micro6.soft, скачал и установил .net core runtime 6. 0.22.
При этом указано как это сделать - в какую директорию распаковать и какие переменные окружения установить.
По поводу aspnetcore - runtime по поводу установки ничего не сказано ничего не сказано .
Если пробовать установить из репозитария astalinux - то там версии пониже. и нужно либо сносить .net core установленную и пробовать установить то и другое в согласованных версиях astralinux. Но возможно что-то дополнительное нужно сделать - чтобы vscode увидел aspnetcore.
Вопросы пока остаются..
P.S. Хотя я , видимо, опять не прав. Согласно документации https://wiki.astralinux.ru/pages/viewpage.action?pageId=41192241
без репозитария устанавливается .net sdk ... , которая содержит и .NET runfime и ASP .NET runtime https://dotnet.microsoft.com/en-us/download/dotnet/6.0
 
Последнее редактирование: